package com.ejie.ab78.dao.expedientes;

import java.util.List;

import com.ejie.ab78.model.denuncias.Denuncia;
import com.ejie.ab78.model.expedientes.ExpedienteHistorico;
import com.ejie.x38.dto.TableRequestDto;

public interface ExpedientesHistoricosDao {


	ExpedienteHistorico find(ExpedienteHistorico expedienteHistorico);

	ExpedienteHistorico findByFolderNumber(ExpedienteHistorico expedienteHistorico);

	List<ExpedienteHistorico> findAll(ExpedienteHistorico expedienteHistorico, TableRequestDto tableRequestDto);

	List<ExpedienteHistorico> findAllLike(ExpedienteHistorico expedienteHistorico, TableRequestDto tableRequestDto,
			Boolean startsWith);

	Long findAllLikeCount(ExpedienteHistorico expedienteHistorico, Boolean startsWith);

	Long findAllCount(ExpedienteHistorico expedienteHistorico);

	ExpedienteHistorico findByDenuncia(Denuncia denuncia);

}
